package picolib;
import java.lang.reflect.Field;

/**
 * Set the path from which native libraries will be loaded.
 */
public class NativePathSetter  
{
    public static void setPaths()
    {
        String s;
        if(System.getProperty("os.name").startsWith("Windows")) {
            if(is64Bit()) {
                s= "native/Windows64";
            }
            else {
                s= "native/Windows";
            }
        }
        else if(System.getProperty("os.name").startsWith("Mac")) {
                s= "native/Mac_OS_X";
        }
        else if(System.getProperty("os.name").startsWith("Linux")) {
            if(is64Bit()) {
                s= "native/Linux/x86_64";
            }
            else {
                s= "native/Linux/i686";
            }
        }
        else {
            throw new RuntimeException("Couldn't detect OS version: " + System.getProperty("os.name"));
        }        
        
        System.setProperty( "java.library.path", s );

        try {
            Field fieldSysPath = ClassLoader.class.getDeclaredField( "sys_paths" );
            fieldSysPath.setAccessible( true );
            fieldSysPath.set( null, null );
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }
    
    private static boolean is64Bit() {
        return System.getProperty("os.arch").contains("64");
    }
}
