package picolib;
import javax.swing.JDialog;
import javax.swing.JComboBox;
import javax.swing.JButton;
import javax.swing.JLabel;
import java.awt.GridLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 * Prompt for the port to which the Pico board is connected.
 */
public class PortChooserDialog extends JDialog
{
    private JComboBox comboBox;
    private JButton okButton;

    public PortChooserDialog(String[] entries)
    {
        comboBox = new JComboBox(entries);
        okButton = new JButton("OK");
        okButton.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                setVisible(false);
            }
        });
        
        setTitle("Select port");
        setLayout(new GridLayout(3,1));
        add(new JLabel("What port is the picoboard plugged into?"));
        add(comboBox);
        add(okButton);
        setLocation(300,300);
        pack();
    }
    
    public String getPort()
    {
        return comboBox.getSelectedItem().toString();
    }
}
